Bug 50770 - Sys::Syslog module setlogsock('unix') is broken
Summary: Sys::Syslog module setlogsock('unix') is broken
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-02 23:09 UTC by Arkadi Shishlov
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 21:25:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arkadi Shishlov 2001-08-02 23:09:14 UTC
Description of problem:
setlogsock('unix') croak() when I try to set  Sys::Syslog module to
communicate to syslog via UNIX domain socket.

How reproducible:
Always

Steps to Reproduce:
perl -e "use Sys::Syslog qw(:DEFAULT setlogsock); setlogsock('unix');
openlog(\"\$\$\", 'ndelay', 'user'); syslog('notice', 'test');"

Actual Results:  Usage: Sys::Syslog::_PATH_LOG() at
/usr/lib/perl5/5.6.0/i386-linux/Sys/Syslog.pm line 277.


Expected Results:  No output, notice priority "test"  message in syslog.

Additional info:

The fix is:
--- Syslog.pm.orig      Fri Aug  3 01:51:01 2001
+++ Syslog.pm      Fri Aug  3 01:51:13 2001
@@ -274,7 +274,7 @@
         socket(SYSLOG,AF_INET,SOCK_DGRAM,$udp)           || croak "socket:
$!";
         connect(SYSLOG,$that)                            || croak
"connect: $!";
     } else {
-       my $syslog = &_PATH_LOG                          || croak
"_PATH_LOG not found in syslog.ph";
+       my $syslog = &_PATH_LOG()                        || croak
"_PATH_LOG not found in syslog.ph";
         my $that = sockaddr_un($syslog)                  || croak "Can't
locate $syslog";
         socket(SYSLOG,AF_UNIX,SOCK_STREAM,0)             || croak "socket:
$!";
         if (!connect(SYSLOG,$that)) {

Comment 1 Chip Turner 2001-12-19 08:20:01 UTC
this is no longer an issue with perl 5.6.1 in rawhide


Note You need to log in before you can comment on or make changes to this bug.